function init(hero) {
    hero.setName("Two Face");
    hero.setTier(1);
    
    hero.setHelmet ("Half Face");
    hero.setChestplate("Suit Jacket");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    hero.addEquipment("fiskheroes:rip_hunters_gun");
    
    hero.addAttribute("ATTACK_DAMAGE", 0.35, 1);
    hero.addAttribute("FALL_RESISTANCE", 2.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    
    hero.addKeyBind("AIM", "key.aim", -1);
    
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
}

function hasPermission(entity, permission) {
    return permission == "USE_RIPS_GUN";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:rip_hunters_gun";
}
